@import '../../../../style/variables';

:host {
  .time {
    color: $fmi-plateau-primary-color-text;
    font-size: .75rem;
  }

  .winner {
    font-weight: bold;
  }

  .mat-list-item {
    height: auto;
    width: auto;
    padding: .5rem 1rem;
    border-bottom: solid rgba(0, 0, 0, 0.12) 1px;

    &:last-of-type {
      border-bottom: none;
    }

    ::ng-deep {
      .mat-list-item-content {
        padding: 0;
        display: grid;
        grid-template-columns: 2.5rem 1fr 1rem 2rem 3rem 2rem 1rem 1fr 2.5rem;
        grid-template-areas: 'logo-1 team-1 forfeit-1 score-1 separator score-2 forfeit-2 team-2 logo-2';
        align-items: center;
        justify-items: center;
        gap: 1rem;

        .logo {
          $size: 2rem;
          max-width: $size;
          max-height: $size;

          &-1 {
            grid-area: logo-1;
          }
          &-2 {
            grid-area: logo-2;
          }
        }

        .team {
          &-1 {
            grid-area: team-1;
            justify-self: left;
            text-align: left;
          }
          &-2 {
            grid-area: team-2;
            justify-self: right;
            text-align: right;
          }
        }

        .score {
          &-1 {
            grid-area: score-1;
          }
          &-2 {
            grid-area: score-2;
          }
        }

        .forfeit {
          &-1 {
            grid-area: forfeit-1;
            text-align: right;
          }
          &-2 {
            grid-area: forfeit-2;
            text-align: left;
          }
        }

        .separator {
          grid-area: separator;
          display: flex;
          flex-direction: column;
          align-items: center;
        }
      }
    }
  }
}
